Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1806459 - Incorrect search query is formed while selecting location/organization of the host
Summary: Incorrect search query is formed while selecting location/organization of the...
Keywords:
Status: VERIFIED
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Hosts
Version: 6.7.0
Hardware: All
OS: All
low
low
Target Milestone: 6.10.0
Assignee: satellite6-bugs
QA Contact: tstrych
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-02-24 09:23 UTC by Anand Agrawal
Modified: 2021-06-17 09:39 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 32389 0 Low New Incorrect search query is formed while selecting location/organization of the host 2021-04-22 09:02:24 UTC

Description Anand Agrawal 2020-02-24 09:23:02 UTC
Description of problem:

If you have Organization or Location with 2 or more words like (Default Organization or Default Location). GoTo Hosts -> All Hosts -> Select/Click a host to see details. On the left-hand detail box, click Organization name (Default Organization) or Location name (Default Location). 

This will take you to the Hosts -> All Hosts page with search query but the query is incorrect so you will see no hosts.

query formed is as below
~~~
organization = Default Organization
~~~

Version-Release number of selected component (if applicable):
6.7-beta

How reproducible:
Always

Steps to Reproduce:
1. Select the host in "Default Organization" 
2. Click the host to see detail page
3. Click on the Default Organization 

Actual results:
Wrong search query formed as a result no hosts is shown.
~~~
organization = Default Organization
~~~


Expected results:
Search query should be 
~~~
organization = "Default Organization" ----> In Quotes
~~~


Additional info:
This works fine in Satellite 6.6

Comment 4 Ondřej Ezr 2021-04-22 09:02:22 UTC
Created redmine issue https://projects.theforeman.org/issues/32389 from this bug

Comment 5 Bryan Kearney 2021-05-09 16:19:02 UTC
Moving this bug to POST for triage into Satellite since the upstream issue https://projects.theforeman.org/issues/32389 has been resolved.

Comment 6 tstrych 2021-06-17 09:38:10 UTC
Reproduced the problem with 6.8.4. 
I verified that it no longer exists in 6.10 snap 4. 
The query now uses quotes as requested. 
I verified with default organization, default location, and with more than one space name -> works correctly.

Verified.


Note You need to log in before you can comment on or make changes to this bug.